package com.hxhq.business.form.study;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 试验-试验方法对象
 */
public class StudyMethodForm {

    /** 所属试验id */
    @NotNull(message = "请选择所属试验")
    private Long studyId;

    /** 所属试验-学科id */
    @NotNull(message = "请选择所属学科")
    private Long studySubjectId;

    /** 方法名称 */
    @NotEmpty(message = "请输入方法名称")
    private String ffmc;

    /** 方法文件地址 */
    @NotEmpty(message = "请上传文件")
    private String fileUrl;

    private String fileName;

    /** 签名人密码 */
    @NotEmpty(message = "请输入签名人密码")
    private String qmrmm;

    private Long qmrId;

    /** 备注 */
    private String remark;

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public Long getStudySubjectId() {
        return studySubjectId;
    }

    public void setStudySubjectId(Long studySubjectId) {
        this.studySubjectId = studySubjectId;
    }

    public String getFfmc() {
        return ffmc;
    }

    public void setFfmc(String ffmc) {
        this.ffmc = ffmc;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
